Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041232
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-02 15:432019-08-22 14:44
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision5ff225ecb098
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041232: AdvPaymentMngtDao is not using bind-params

DescriptionThis code is not using bind-params:
  public List<FIN_PaymentScheduleDetail> getInvoicePendingScheduledPaymentDetails(Invoice invoice) {

      whereClause.append(" as psd ");
      whereClause.append(" where psd.");
      whereClause.append(FIN_PaymentScheduleDetail.PROPERTY_PAYMENTDETAILS);
      whereClause.append(" is null");
      whereClause.append(" and psd.");
      whereClause.append(FIN_PaymentScheduleDetail.PROPERTY_INVOICEPAYMENTSCHEDULE);
      whereClause.append(".");
      whereClause.append(FIN_PaymentSchedule.PROPERTY_INVOICE);
      whereClause.append(".id = '");
      whereClause.append(invoice.getId());
      whereClause.append("'");
      whereClause.append(" order by psd.");
      whereClause.append(FIN_PaymentScheduleDetail.PROPERTY_INVOICEPAYMENTSCHEDULE);
      whereClause.append(".");
      whereClause.append(FIN_PaymentSchedule.PROPERTY_EXPECTEDDATE);
      whereClause.append(", psd.");
      whereClause.append(FIN_PaymentScheduleDetail.PROPERTY_AMOUNT);
Steps To Reproduce-
Proposed SolutionWhen fixing please fix all 6 HQL StringBuilder/Buffer to be new style (constant string)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041425 closedAtulOpenbravo Unused methods in AdvPaymentMngtDao.java 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113489)
collazoandy4 (developer)
2019-07-18 06:40
edited on: 2019-07-18 17:16

Test Plan
  Create a non paid invoice
  Go to Payment Proposal window and create a new record
    Click on Select Expected Payments and select one record
    Click on Generate Payment and check the process ends without error

(0113532)
hgbot (developer)
2019-07-18 17:20

Repository: erp/devel/pi
Changeset: 5ff225ecb09813ede2230a34369dfbada89823ca
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jul 18 16:31:42 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5ff225ecb09813ede2230a34369dfbada89823ca [^]

Fixes issue 41232: AdvPaymentMngtDao is not using bind-params

Use bind params in HQL queries

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/AdvPaymentMngtDao.java
---
(0113533)
dmiguelez (developer)
2019-07-18 17:21

Code Review + Testing Ok
(0114163)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 15:43 shuehner New Issue
2019-07-02 15:43 shuehner Assigned To => Triage Finance
2019-07-02 15:43 shuehner Modules => Core
2019-07-02 15:43 shuehner Triggers an Emergency Pack => No
2019-07-02 15:43 shuehner Relationship added blocks 0038136
2019-07-04 12:14 shuehner Target Version => 3.0PR19Q4
2019-07-17 06:37 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-17 06:41 collazoandy4 Status new => scheduled
2019-07-18 06:40 collazoandy4 Note Added: 0113489
2019-07-18 17:16 dmiguelez Note Edited: 0113489 View Revisions
2019-07-18 17:16 dmiguelez Note Edited: 0113489 View Revisions
2019-07-18 17:20 hgbot Checkin
2019-07-18 17:20 hgbot Note Added: 0113532
2019-07-18 17:20 hgbot Status scheduled => resolved
2019-07-18 17:20 hgbot Resolution open => fixed
2019-07-18 17:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5ff225ecb09813ede2230a34369dfbada89823ca [^]
2019-07-18 17:21 dmiguelez Review Assigned To => dmiguelez
2019-07-18 17:21 dmiguelez Note Added: 0113533
2019-07-18 17:21 dmiguelez Status resolved => closed
2019-07-18 17:21 dmiguelez Fixed in Version => 3.0PR19Q4
2019-07-22 22:09 collazoandy4 Relationship added related to 0041425
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114163


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker